summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author klaatu <klaatu@straightedgelinux.com>2014-11-22 01:07:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-22 06:14:03 +0700
commit8b9b6730afbd4daa974846ea0b43ad23ff769c59 (patch)
tree97e99fa9efa5491b5cae91a707e73758c5b71556
parenta2a9c17e860b084e95d6b66e04e60357bb635fca (diff)
downloadslackbuilds-8b9b6730afbd4daa974846ea0b43ad23ff769c59.tar.gz
slackbuilds-8b9b6730afbd4daa974846ea0b43ad23ff769c59.tar.xz
audio/ntk: Added (GUI Toolkit).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/ntk/README12
-rw-r--r--audio/ntk/ntk.SlackBuild87
-rw-r--r--audio/ntk/ntk.info10
-rw-r--r--audio/ntk/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/audio/ntk/README b/audio/ntk/README
new file mode 100644
index 0000000000..f5c6a3a5c0
--- /dev/null
+++ b/audio/ntk/README
@@ -0,0 +1,12 @@
+ntk is a fast and lightweight GUI toolkit for the Non-DAW application
+suite. It is a build requirement of Non, and is distributed along with
+Non source code. It is packaged separately for SlackBuilds.org because
+other software (such as Qtractor) can use it, plus in order for Non-* to
+build, ntk must be installed first.
+
+So, install this first, and then build and install Non.
+
+The only official download is available as a git repository. In order
+to standardise this SlackBuild, a snapshot of the git repository as of
+23/09/2014 (commit e230929a579d7f91df7d34a4c0a324fb8dd5fa4a) has been
+posted to http://slackermedia.info, which this SlackBuild uses.
diff --git a/audio/ntk/ntk.SlackBuild b/audio/ntk/ntk.SlackBuild
new file mode 100644
index 0000000000..6a5bc29cd8
--- /dev/null
+++ b/audio/ntk/ntk.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for non
+# Copyright 2013 Klaatu @ member.fsf.org
+
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=ntk
+SRCNAM=ntk #comment out if building from git
+#to build from git uncomment this one
+#SRCNAM=non
+
+VERSION=${VERSION:-23092014}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$SRCNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-git-$VERSION
+tar xvf $CWD/$SRCNAM-git-$VERSION.tar.bz2
+cd $SRCNAM-git-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# do this if cloning from git
+#git submodule update --init
+
+# we are at project root, ie non/
+cd lib/ntk
+./waf configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+./waf
+./waf install --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/ntk/ntk.info b/audio/ntk/ntk.info
new file mode 100644
index 0000000000..951d024d64
--- /dev/null
+++ b/audio/ntk/ntk.info
@@ -0,0 +1,10 @@
+PRGNAM="ntk"
+VERSION="23092014"
+HOMEPAGE="http://non.tuxfamily.org"
+DOWNLOAD="http://slackermedia.info/slackbuilds/ntk/ntk-git-23092014.tar.bz2"
+MD5SUM="fb2226b466406972226185b5f80b841c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org" \ No newline at end of file
diff --git a/audio/ntk/slack-desc b/audio/ntk/slack-desc
new file mode 100644
index 0000000000..ee7a0f5966
--- /dev/null
+++ b/audio/ntk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ntk: ntk (a simple and fast GUI tool kit for the non-daw suite)
+ntk:
+ntk: ntk is a simple and fast GUI toolkit for the Non-DAW suite of audio
+ntk: applications.
+ntk:
+ntk: http://non.tuxfamily.org
+ntk:
+ntk:
+ntk:
+ntk:
+ntk: